<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of WebLogger
 *
 * @author a.ronchi
 */
class WebLogger {

    private static $instance = null;

    public static function getInstance() {
        if (self::$instance == null) {
            $c = __CLASS__;
            self::$instance = new $c;
        }

        return self::$instance;
    }

    private function __construct() {
        
    }

    public function writeConsole($message) {
        echo "<script type='text/javascript'>console.log('$message')</script>";
    }

}
